Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.rmi
Class UnknownHostException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  weblogic.common.T3Exception
                      weblogic.rmi.RemoteException
                          weblogic.rmi.UnknownHostException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Deprecated. 9.0.0.0 Replaced by java.rmi.UnknownHostException

public final class UnknownHostException
extends RemoteException

Class for handling unknown host exceptions. This exception is provided for compatibility with the `java.rmi.*` package.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.rmi.RemoteException
`detail`

Constructor Summary
`UnknownHostException()` Deprecated.
`UnknownHostException(String s)` Deprecated. Constructs an UnknownHostException with the specified string.
`UnknownHostException(String s, Throwable e)` Deprecated. Constructs an UnknownHostException with the specified string and nested exception

Methods inherited from class weblogic.rmi.RemoteException
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownHostException

    public UnknownHostException()

  Deprecated.

### UnknownHostException

    public UnknownHostException(String s)

  Deprecated.
  Constructs an UnknownHostException with the specified string.

### UnknownHostException

    public UnknownHostException(String s,
                                Throwable e)

  Deprecated.
  Constructs an UnknownHostException with the specified string and nested exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD